#!/usr/bin/env python3

import io
import base64
import pickle

from secret import flag

class RestrictedUnpickler(pickle.Unpickler):
    def find_class(self, module, name):
        if module == "__builtin__":
            import builtins
            return getattr(builtins, name)

        raise pickle.UnpicklingError(f"Nee, jag tillåter bara __builtin__, inte {module}")

def main():
    loading_data = input("Vad finns det i gurkburken? ")
    pickle_data = base64.b64decode(loading_data)
    data = RestrictedUnpickler(io.BytesIO(pickle_data)).load()
    print(f"Oj, det fanns {data} i gurkburken alltså?")

if __name__ == "__main__":
    main()
